# dask.dataframe.Series.memory_usage

Series.memory_usage(index=True, deep=False)

  Return the memory usage of the Series.

  This docstring was copied from pandas.core.series.Series.memory_usage.

  Some inconsistencies with the Dask version may exist.

  The memory usage can optionally include the contribution of the index and of elements of object dtype.

  Parameters:
    index bool, default True

      Specifies whether to include the memory usage of the Series index.

    deep bool, default False

      If True, introspect the data deeply by interrogating object dtypes for system-level memory consumption, and include it in the returned value.

  Returns:
    int

      Bytes of memory consumed.

  See also

  `numpy.ndarray.nbytes`

    Total bytes consumed by the elements of the array.

  `DataFrame.memory_usage`

    Bytes consumed by a DataFrame.

  Examples

      >>> s = pd.Series(range(3))
      >>> s.memory_usage()
      152

  Not including the index gives the size of the rest of the data, which is necessarily smaller:

      >>> s.memory_usage(index=False)
      24

  The memory footprint of object values is ignored by default:

      >>> s = pd.Series(["a", "b"])
      >>> s.values
      array(['a', 'b'], dtype=object)
      >>> s.memory_usage()
      144
      >>> s.memory_usage(deep=True)
      244